Mise à jour 4.4.2.14 > 11 : Erreur: "500" Internal Server Error (FR)

Mon serveur YunoHost

Matériel: Vieil ordinateur (eeePC 32 bits)
Version de YunoHost: 4.4.2.14 (stable).
J’ai accès à mon serveur : En SSH | Par la webadmin | En direct avec un clavier/écran | …
Êtes-vous dans un contexte particulier ou avez-vous effectué des modificiations particulières sur votre instance ? : non
Si oui, expliquer:

Description du problème

J’obtiens le message d’erreur suivant quand je tente la mise à jour du système :

``` Erreur: "500" Internal Server Error

Action: "PUT" /yunohost/api/update/all

Message d’erreur :

Impossible de mettre à jour le cache APT (gestionnaire de paquets Debian). Voici un extrait du fichier sources.list qui pourrait vous aider à identifier les lignes problématiques :
sources.list:deb Index of /debian bullseye main contrib sources.list:deb-src Index of /debian bullseye main contrib sources.list:deb Index of /debian/ bullseye stable sources.list:deb Index of /debian-security bullseye-security main contrib non-free sources.list:deb-src Index of /debian-security bullseye-security main contrib non-free sources.list:deb-src http://ftp.de.debian.org/ bullseye main sources.list:deb http://ftp.be.debian.org/ bullseye main sources.list:deb Index of /debian bullseye-updates main contrib non-free sources.list:deb-src Index of /debian bullseye-updates main contrib non-free sources.list.d/extra_php_version.list:deb Index of /php/ bullseye main

Pendant le traitement de l’action, le serveur a dit :

Récupération des mises à jour disponibles pour les paquets du système…

E: The repository ‘http://ftp.be.debian.org bullseye Release’ does not have a Release file.

E: The repository ‘http://ftp.de.debian.org bullseye Release’ does not have a Release file.


Est-ce un problème connu ? ce YNH est hébergé sur un miniPC en *32 bits* - Debian 11 existe en 32 bits. Est-ce là qu'est l'os hélas ?

Merci d'avance tout le monde !

Voici un lien vers mon sources.list : https://imgur.com/a/I59TljR

Le message d’erreur dit à présent “E: The repository ‘http://ftp.debian.org/debian-security bullseye Release’ does not have a Release file.”

Qu’est-ce qui cloche dans mon sources.list ?
merci d’avance et bonne journée

Peut-être un problème de miroir ? Essaie de commenter les lignes avec ftp (y compris les dernières) et tente avec celles-ci à la place :

deb http://deb.debian.org/debian bullseye main contrib non-free
deb-src http://deb.debian.org/debian bullseye main contrib non-free

deb http://deb.debian.org/debian-security/ bullseye-security main contrib non-free
deb-src http://deb.debian.org/debian-security/ bullseye-security main contrib non-free

deb http://deb.debian.org/debian bullseye-updates main contrib non-free
deb-src http://deb.debian.org/debian bullseye-updates main contrib non-free

ça a fonctionné, merci - maintenant c’est la migration elle-même qui pose problème. Ce sera pour une autre entrée de forum ou alors je trouverai la solution moi-même :slight_smile:

Le paquet moulinette peut poser problème, commence par un sudo apt update && apt full-upgrade avant de tenter la migration.

Idéalement il ne faut jamais lancer apt soit même … soit utiliser la webadmin, soit yunohost tools upgrade system en CLI

1 Like

Je pensais au cas où le paquet moulinette n’avait pas été mis à jour en même temps que le paquet yunohost par unattended-upgrades et bloquait toute commande yunohost.

Mais effectivement @baudouinvh est peut-être dans un autre cas (manque d’informations).

Voici plus d’informations : https://imgur.com/a/6wagWOJ

Je devrais donc, si je lis bien :slight_smile:

  • mettre à jour libc-bin
  • faire passer mailutils-common à exactement la version 1:3.5-4
  • faire passer openssh-sftp-server à une version précédente : 1:7.9(…)

J’ai déjà chercher mais je n’ai rien trouvé de définitif sur la question :frowning:

cf. mon message précédent … ne pas lancer apt à la main idéalement sauf si c’est ce qu’on t’as recommandé, et encore moins apt upgrade … cf aussi cette explication Continuing errors with an incomplete Bullseye-Migration (mariadb?) - #3 by Aleks

Et si tu es “à cheval” entre les deux migrations, il ne faut pas lancer une upgrade du système, il faut relancer la migration (et partager les logs de la migration si elle échoue)